Bug 999850 - kgpg shows error message despite the change was successful
kgpg shows error message despite the change was successful
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kgpg (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Vrátil
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2013-08-22 05:17 EDT by Martin Simon
Modified: 2016-09-19 22:15 EDT (History)
7 users (show)

See Also:
Fixed In Version: kgpg-4.10.5-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 07:50:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2013-08-22 05:17:42 EDT
Description of problem:
If I change key expiration, I get error message about failure, but the change is successfully done and permanent.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Right click to any key pair
2. Choose Key properties
3. Change expiration
4. Apply
5. Enter key passphrase

Actual results:
Error saying "Changing key properties failed"

Expected results:
Info like "Changing key properties succeed"

Additional info:
Comment 1 Daniel Vrátil 2013-10-07 12:42:22 EDT
Fixed in kgpg-4.10.5-2.el7 (and upstreamed fix to 4.11)
Comment 3 Martin Simon 2014-01-31 08:49:47 EST
Verified according to reproduces in #c0. The change is now correctly stored without any error message. Closing as verified
Comment 4 Ludek Smid 2014-06-13 07:50:54 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.